Open CASCADE Technology: ShapeCustom_ConvertToRevolution Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
ShapeCustom_ConvertToRevolution Class Reference

implements a modification for the BRepTools Modifier algortihm. Converts all elementary surfaces into surfaces of revolution. More...

`#include <ShapeCustom_ConvertToRevolution.hxx>`

Inheritance diagram for ShapeCustom_ConvertToRevolution:
[legend]

## Public Member Functions
| ShapeCustom_ConvertToRevolution ()
Standard_Boolean | NewSurface (const TopoDS_Face &F, Handle< Geom_Surface > &S, TopLoc_Location &L, Standard_Real &Tol, Standard_Boolean &RevWires, Standard_Boolean &RevFace)
| Returns Standard_True if the face <F> has been modified. In this case, <S> is the new geometric support of the face, <L> the new location, <Tol> the new tolerance. Otherwise, returns Standard_False, and <S>, <L>, <Tol> are not significant. More...
Standard_Boolean | NewCurve (const TopoDS_Edge &E, Handle< Geom_Curve > &C, TopLoc_Location &L, Standard_Real &Tol)
| Returns Standard_True if the edge <E> has been modified. In this case, `is the new geometric support of the edge, <L> the new location, <Tol> the new tolerance. Otherwise, returns Standard_False, and `, <L>, <Tol> are not significant.`` More...
Standard_Boolean | NewPoint (const TopoDS_Vertex &V, gp_Pnt &P, Standard_Real &Tol)
| Returns Standard_True if the vertex <V> has been modified. In this case,. More...
Standard_Boolean | NewCurve2d (const TopoDS_Edge &E, const TopoDS_Face &F, const TopoDS_Edge &NewE, const TopoDS_Face &NewF, Handle< Geom2d_Curve > &C, Standard_Real &Tol)
| Returns Standard_True if the edge <E> has a new curve on surface on the face <F>.In this case, `is the new geometric support of the edge, <L> the new location, <Tol> the new tolerance.` More...
Standard_Boolean | NewParameter (const TopoDS_Vertex &V, const TopoDS_Edge &E, Standard_Real &P, Standard_Real &Tol)
| Returns Standard_True if the Vertex <V> has a new parameter on the edge <E>. In this case,. More...
GeomAbs_Shape | Continuity (const TopoDS_Edge &E, const TopoDS_Face &F1, const TopoDS_Face &F2, const TopoDS_Edge &NewE, const TopoDS_Face &NewF1, const TopoDS_Face &NewF2)
| Returns the continuity of <NewE> between <NewF1> and <NewF2>. More...
Public Member Functions inherited from ShapeCustom_Modification
virtual void | SetMsgRegistrator (const Handle< ShapeExtend_BasicMsgRegistrator > &msgreg)
| Sets message registrator. More...
Handle< ShapeExtend_BasicMsgRegistrator > | MsgRegistrator () const
| Returns message registrator. More...
void | SendMsg (const TopoDS_Shape &shape, const Message_Msg &message, const Message_Gravity gravity=Message_Info) const
| Sends a message to be attached to the shape. Calls corresponding message of message registrator. More...
Public Member Functions inherited from BRepTools_Modification
virtual Standard_Boolean | NewTriangulation (const TopoDS_Face &F, Handle< Poly_Triangulation > &T)
| Returns true if the face has been modified according to changed triangulation. If the face has been modified: More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

implements a modification for the BRepTools Modifier algortihm. Converts all elementary surfaces into surfaces of revolution.

## Constructor & Destructor Documentation

ShapeCustom_ConvertToRevolution::ShapeCustom_ConvertToRevolution | ( |  | ) |

## Member Function Documentation

GeomAbs_Shape ShapeCustom_ConvertToRevolution::Continuity | ( | const TopoDS_Edge & | E,
|  | const TopoDS_Face & | F1,
|  | const TopoDS_Face & | F2,
|  | const TopoDS_Edge & | NewE,
|  | const TopoDS_Face & | NewF1,
|  | const TopoDS_Face & | NewF2
| ) |  |
| virtual

Returns the continuity of <NewE> between <NewF1> and <NewF2>.

<NewE> is the new edge created from <E>. <NewF1> (resp. <NewF2>) is the new face created from <F1> (resp. <F2>).

Implements BRepTools_Modification.

Standard_Boolean ShapeCustom_ConvertToRevolution::NewCurve | ( | const TopoDS_Edge & | E,
|  | Handle< Geom_Curve > & | C,
|  | TopLoc_Location & | L,
|  | Standard_Real & | Tol
| ) |  |
| virtual

Returns Standard_True if the edge <E> has been modified. In this case, `is the new geometric support of the edge, <L> the new location, <Tol> the new tolerance. Otherwise, returns Standard_False, and `, <L>, <Tol> are not significant.``

Implements BRepTools_Modification.

Standard_Boolean ShapeCustom_ConvertToRevolution::NewCurve2d | ( | const TopoDS_Edge & | E,
|  | const TopoDS_Face & | F,
|  | const TopoDS_Edge & | NewE,
|  | const TopoDS_Face & | NewF,
|  | Handle< Geom2d_Curve > & | C,
|  | Standard_Real & | Tol
| ) |  |
| virtual

Returns Standard_True if the edge <E> has a new curve on surface on the face <F>.In this case, `is the new geometric support of the edge, <L> the new location, <Tol> the new tolerance.`

Otherwise, returns Standard_False, and `, <L>, <Tol> are not significant.`

`<NewE> is the new edge created from <E>. <NewF> is the new face created from <F>. They may be usefull.`

Implements BRepTools_Modification.

Standard_Boolean ShapeCustom_ConvertToRevolution::NewParameter | ( | const TopoDS_Vertex & | V,
|  | const TopoDS_Edge & | E,
|  | Standard_Real & | P,
|  | Standard_Real & | Tol
| ) |  |
| virtual

Returns Standard_True if the Vertex <V> has a new parameter on the edge <E>. In this case,.

is the parameter, <Tol> the new tolerance. Otherwise, returns Standard_False, and

, <Tol> are not significant.

Implements BRepTools_Modification.

Standard_Boolean ShapeCustom_ConvertToRevolution::NewPoint | ( | const TopoDS_Vertex & | V,
|  | gp_Pnt & | P,
|  | Standard_Real & | Tol
| ) |  |
| virtual

Returns Standard_True if the vertex <V> has been modified. In this case,.

is the new geometric support of the vertex, <Tol> the new tolerance. Otherwise, returns Standard_False, and

, <Tol> are not significant.

Implements BRepTools_Modification.

Standard_Boolean ShapeCustom_ConvertToRevolution::NewSurface | ( | const TopoDS_Face & | F,
|  | Handle< Geom_Surface > & | S,
|  | TopLoc_Location & | L,
|  | Standard_Real & | Tol,
|  | Standard_Boolean & | RevWires,
|  | Standard_Boolean & | RevFace
| ) |  |
| virtual

Returns Standard_True if the face <F> has been modified. In this case, <S> is the new geometric support of the face, <L> the new location, <Tol> the new tolerance. Otherwise, returns Standard_False, and <S>, <L>, <Tol> are not significant.

Implements BRepTools_Modification.

The documentation for this class was generated from the following file:

- ShapeCustom_ConvertToRevolution.hxx